Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class ProductPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.ProductPlugin

public abstract class ProductPlugin
extends GenericPlugin

Field Summary
`static int` `CFGTYPE_IDX_CONTROL`
`static int` `CFGTYPE_IDX_MEASUREMENT`
`static int` `CFGTYPE_IDX_PRODUCT`
`static int` `CFGTYPE_IDX_RESPONSE_TIME`
`static java.lang.String[]` `CONFIGURABLE_TYPES`
`static java.lang.String` `DEFAULT_INSTALLPATH`
`protected ProductPluginManager` `manager`
`static java.lang.String` `PROP_INSTALLPATH`
`static java.lang.String` `PROP_PLATFORM_FQDN`
`static java.lang.String` `PROP_PLATFORM_ID`
`static java.lang.String` `PROP_PLATFORM_IP`
`static java.lang.String` `PROP_PLATFORM_NAME`
`static java.lang.String` `PROP_PLATFORM_TYPE`
`static java.lang.String` `PROP_RESOURCE_NAME`
`static java.lang.String` `TYPE_AUTOINVENTORY`
`static java.lang.String` `TYPE_CONFIG_TRACK`
`static java.lang.String` `TYPE_CONTROL`
`static java.lang.String` `TYPE_LOG_TRACK`
`static java.lang.String` `TYPE_MEASUREMENT`
`static java.lang.String` `TYPE_PRODUCT`
`static java.lang.String` `TYPE_RESPONSE_TIME`
`static java.lang.String[]` `TYPES`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ProductPlugin()`

Method Summary
`java.lang.String[]` `getClassPath(ProductPluginManager manager)`
`ConfigSchema` `getConfigSchema(TypeInfo info, ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected ProductPluginManager` `getManager()`
`GenericPlugin` `getPlugin(java.lang.String type, TypeInfo info)`
`TypeInfo[]` `getTypes()`
`void` `init(PluginManager manager)` Called when the plugin is loaded on the server and on the agent side.

Methods inherited from class net.hyperic.hq.product.GenericPlugin

`configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_AUTOINVENTORY

    public static final java.lang.String TYPE_AUTOINVENTORY

See Also:
  Constant Field Values

### TYPE_CONTROL

    public static final java.lang.String TYPE_CONTROL

See Also:
  Constant Field Values

### TYPE_MEASUREMENT

    public static final java.lang.String TYPE_MEASUREMENT

See Also:
  Constant Field Values

### TYPE_PRODUCT

    public static final java.lang.String TYPE_PRODUCT

See Also:
  Constant Field Values

### TYPE_RESPONSE_TIME

    public static final java.lang.String TYPE_RESPONSE_TIME

See Also:
  Constant Field Values

### TYPE_LOG_TRACK

    public static final java.lang.String TYPE_LOG_TRACK

See Also:
  Constant Field Values

### TYPE_CONFIG_TRACK

    public static final java.lang.String TYPE_CONFIG_TRACK

See Also:
  Constant Field Values

### PROP_INSTALLPATH

    public static final java.lang.String PROP_INSTALLPATH

See Also:
  Constant Field Values

### PROP_RESOURCE_NAME

    public static final java.lang.String PROP_RESOURCE_NAME

See Also:
  Constant Field Values

### PROP_PLATFORM_NAME

    public static final java.lang.String PROP_PLATFORM_NAME

See Also:
  Constant Field Values

### PROP_PLATFORM_TYPE

    public static final java.lang.String PROP_PLATFORM_TYPE

See Also:
  Constant Field Values

### PROP_PLATFORM_FQDN

    public static final java.lang.String PROP_PLATFORM_FQDN

See Also:
  Constant Field Values

### PROP_PLATFORM_IP

    public static final java.lang.String PROP_PLATFORM_IP

See Also:
  Constant Field Values

### PROP_PLATFORM_ID

    public static final java.lang.String PROP_PLATFORM_ID

See Also:
  Constant Field Values

### DEFAULT_INSTALLPATH

    public static final java.lang.String DEFAULT_INSTALLPATH

See Also:
  Constant Field Values

### TYPES

    public static final java.lang.String[] TYPES

### CONFIGURABLE_TYPES

    public static final java.lang.String[] CONFIGURABLE_TYPES

### CFGTYPE_IDX_PRODUCT

    public static final int CFGTYPE_IDX_PRODUCT

See Also:
  Constant Field Values

### CFGTYPE_IDX_MEASUREMENT

    public static final int CFGTYPE_IDX_MEASUREMENT

See Also:
  Constant Field Values

### CFGTYPE_IDX_CONTROL

    public static final int CFGTYPE_IDX_CONTROL

See Also:
  Constant Field Values

### CFGTYPE_IDX_RESPONSE_TIME

    public static final int CFGTYPE_IDX_RESPONSE_TIME

See Also:
  Constant Field Values

### manager

    protected ProductPluginManager manager

Constructor Detail

### ProductPlugin

    public ProductPlugin()

Method Detail

### init

    public void init(PluginManager manager)
              throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the plugin is loaded on the server and on the agent side.

  Overrides:
    `init` in class `GenericPlugin`
  Parameters:
    `manager` - The plugin manager for this plugin type.
  Throws:
    `PluginException`

### getManager

    protected ProductPluginManager getManager()

### getClassPath

    public java.lang.String[] getClassPath(ProductPluginManager manager)

### getPlugin

    public GenericPlugin getPlugin(java.lang.String type,
                                   TypeInfo info)

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `GenericPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

### getTypes

    public TypeInfo[] getTypes()

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.